Subject: Re: bug#59104: 28.2; Uninitialized field command_modes in Lisp_Module_Function
From: Eli Zaretskii <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Nov 2022 12:56:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 9 Nov 2022 16:24:35 +0000
> From: Richard Copley <[email-masked]>
> 
> > The command_modes field seems to be uninitialized. This might print a
> > random integer, print a randomly selected lisp object from memory, or
> > segfault.
> 
> I can confirm that changing the 'field' argument from "interactive_form" 
> to "command_modes", in the invocation of ALLOCATE_PSEUDOVECTOR in 
> allocate_module_function (), fixes the problem. See "emacs-module.c", 
> line 564.

Thanks, I think this is the right fix, so I've now installed this on
the master branch, and I'm closing the bug.